Box2D 2.3.0 A 2D Physics Engine for Games

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Enumerations Enumerator Macros Pages
Public Types | Public Member Functions | Public Attributes | List of all members
b2SeparationFunction Struct Reference

## Public Types
enum | Type { e_points, e_faceA, e_faceB }

## Public Member Functions
float32 | Initialize (const b2SimplexCache *cache, const b2DistanceProxy *proxyA, const b2Sweep &sweepA, const b2DistanceProxy *proxyB, const b2Sweep &sweepB, float32 t1)
float32 | FindMinSeparation (int32 *indexA, int32 *indexB, float32 t) const
float32 | Evaluate (int32 indexA, int32 indexB, float32 t) const

## Public Attributes
const b2DistanceProxy * | m_proxyA
const b2DistanceProxy * | m_proxyB
b2Sweep | m_sweepA
b2Sweep | m_sweepB
Type | m_type
b2Vec2 | m_localPoint
b2Vec2 | m_axis

The documentation for this struct was generated from the following file:

- b2TimeOfImpact.cpp